@rem  Licensed Materials - Property of IBM
@rem  5724-M24
@rem  (C) Copyright IBM Corporation 2008. All Rights Reserved.
@rem  US Government Users Restricted Rights- Use, duplication or disclosure
@rem  restricted by GSA ADP Schedule Contract with IBM Corp.

@rem  Ram Kishor Singh

@echo off
setlocal

@rem change cmd locale to english
chcp 437

@rem set variables
set CURRENT_DIR=%cd%
set SCRIPT_DIR=%~dp0%
@rem set CURRENT_DIR=%CURRENT_DIR:Program Files=Progra~1%
echo.%CURRENT_DIR%

set Program Files=%Program Files:Program Files=Progra~1%
echo.%Program Files%

cd /d %SCRIPT_DIR%

@rem set SCRIPT_DIR=%SCRIPT_DIR:Program Files=Progra~1%
echo.%SCRIPT_DIR%

@rem get user input parameters
set   WPS_HOME=%1

set WPS_HOME=%WPS_HOME:Program Files=Progra~1%
echo.%WPS_HOME%
if "%WPS_HOME%" == "" goto USAGE
set   HOSTNAME=%2
if "%HOSTNAME%" == "" goto USAGE
set   SOAPPORT=%3
if "%SOAPPORT%" == "" goto USAGE
set   HOSTPORT=%4
if "%HOSTPORT%" == "" goto USAGE
set   user=%5
if "%user%" == "" goto USAGE
set   password=%6
if "%password%" == "" goto USAGE

set profileName=%7
set profileName=%profileName:Program Files=Progra~1%
echo.%profileName%
if "%profileName%" == goto USAGE

set  cellName=%8
set cellName=%cellName:Program Files=Progra~1%
echo.%cellName%
if "%cellName%" == goto USAGE

set profilePath=%9
set profilePath=%profilePath:Program Files=Progra~1%
echo.%profilePath%
if "%profilePath%" == goto USAGE
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
set  nodeName=%1
set nodeName=%nodeName:Program Files=Progra~1%
echo.%nodeName%
if "%nodeName%" == "" goto USAGE

@rem set OLDDIR=%CD%

@echo ************************************************
@echo         Uninstall
@echo ************************************************

@rem shutting down server
@rem call %profilePath%\bin\stopServer.bat server1 -username %user% -password %password%

@rem dropping derby db.
@rem FOR /F "tokens=*" %%i in ('type ..\..\variable-annuity-new-business\derby\scripts\drop-db.sql') do @SET dbName=%%i
@rem rmdir %profilePath%\databases\%dbName% /s /q

@rem starting server
@rem call %profilePath%\bin\startServer.bat server1

@rem uninstalling..
call %WPS_HOME%\bin\wsadmin -conntype SOAP -host %HOSTNAME% -port %SOAPPORT% -user %user% -password %password% -wsadmin_classpath %WPS_HOME%\plugins\com.ibm.wbimonitor.lifecycle.spi.jar -f uninstall.py -nodeName %nodeName% -cellName %cellName% -tracefile ./logs/insurance_uninstall_InsuranceEars.trace -appendtrace true
call %WPS_HOME%\bin\wsadmin -conntype SOAP -host %HOSTNAME% -port %SOAPPORT% -user %user% -password %password% -wsadmin_classpath %WPS_HOME%\plugins\com.ibm.wbimonitor.lifecycle.spi.jar -f %WPS_HOME%\ProcessChoreographer\admin\bpcTemplates.jacl -uninstall IPCP_Claim_Summary_Processes -force -tracefile ./logs/insurance_uninstall_InsuranceEars.trace -appendtrace true
call %WPS_HOME%\bin\wsadmin -conntype SOAP -host %HOSTNAME% -port %SOAPPORT% -user %user% -password %password% -wsadmin_classpath %WPS_HOME%\plugins\com.ibm.wbimonitor.lifecycle.spi.jar -f %WPS_HOME%\ProcessChoreographer\admin\bpcTemplates.jacl -uninstall IPCP_Claim_Summary_Mock_Services -force -tracefile ./logs/insurance_uninstall_InsuranceEars.trace -appendtrace true
@rem if  "%ERRORLEVEL%" NEQ "0" goto REPORTERROR

@echo OFF
cd /d "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/login/ext"
del "login.css"

@rem del "%profilePath%/installedApps/%cellName%/BSpaceEAR_%nodeName%_server1.ear/BSpace.war/themes/bspaceTheme/BetterInsuranceTheme.css" /F /Q
cd ../images
del "login-BetterInsurance-bg.png"
del "login-BetterInsurance-page-bg.jpg"
cd ../../iWidget/com/ibm/bspace/widgets/system/styleSelection/data
del "BetterInsuranceTheme.js"
rmdir "BetterInsuranceTheme" /s /q

@rem dropping derby db.
@rem @echo. >CON
@rem @echo. >CON

@rem @echo Do you really want to remove the WICPDB database (Y/N): >CON

@rem @set /p choice=
@rem @if /i not "%choice%" equ "y"  goto no

@rem shutting down server
@rem call %profilePath%\bin\stopServer.bat server1 -username %user% -password %password%

@rem @echo Removing WICPDB
@rem rmdir %profilePath%\databases\WICPDB /s /q

@rem starting server
@rem call %profilePath%\bin\startServer.bat server1

:no

@echo.
@echo.
cd /d %SCRIPT_DIR%
@rem calling log status checker
call %WPS_HOME%\java\bin\java -jar ../../../lib/com.ibm.wicp.install.error.util.jar uninstall ./logs/insurance_uninstall.log ./logs/insurance_uninstall_InsuranceEars.trace
@echo.
@echo.
goto QUITNOW

if  "%ERRORLEVEL%" NEQ "0" goto REPORTERROR

@echo ************************************************
@echo         UNINSTALLATION SUCCESSFUL.
@echo ************************************************
goto QUITNOW

:USAGE
@echo USAGE: uninstall [WPS_HOME] [HOSTNAME] [SOAPPORT] [HOSTPORT] [user] [password] [profileName] [cellName] [profilePath] [nodeName] >CON
@echo EXAMPLE: uninstall "G:\WPS61" localhost 8889 9089 admin webify testFabric wbsfcell "G:\WPS61\profiles\profiles\testFabric" wbsf >CON
:QUITNOW
cd %CURRENT_DIR%
@echo ON